Skip to main content
`Ctrl`+`K`

# STType

String with the name of the spectral transformation type.

## Synopsis

    typedef const char *STType;
    #define STSHIFT     "shift"
    #define STSINVERT   "sinvert"
    #define STCAYLEY    "cayley"
    #define STPRECOND   "precond"
    #define STFILTER    "filter"
    #define STSHELL     "shell"

## See Also

ST: Spectral Transformation, `ST`, `STSetType()`

## Level

beginner

## Location

include/slepcst.h

Index of all ST routines Table of Contents for all manual pages Index of all manual pages